%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	certman

Name:		freepbx-%{rawname}
Version:	17.0.3.13
Release:	1%{?dist}
Summary:	Certificate Manager

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz
Source100:	README.freepbx-certman
Patch0:		freepbx-certman-17.0.3.13.cleanup.patch

Requires:	freepbx-core >= 15.0.9.61

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Certificate Manager for Asterisk. Used for TLS, DTLS connection (think WebRTC and secure traffic)

%prep
%setup -q -n %{rawname}
%patch0 -p1

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images sounds moh ; do
        [ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -depth -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

rm  hooks/fix-le-root-ca
# Vediamo che non ci siano altri hooks da riconsiderare
rmdir hooks

%{__install} -m0644 %{SOURCE100} ./README

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%preun
find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache -mindepth 1 -maxdepth 1 -exec rm -rf '{}' ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md README
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%changelog
* Mon Dec 02 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.3.13
- Updated version

* Tue Oct 15 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.30
- Updated version

* Wed Jun 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.22
- Updated version

* Wed Feb 23 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.20
- Updated version

* Sun Feb 06 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.19
- Initial build
